# -*- coding: utf-8 -*-
"""
Created on Wed Jan 24 14:05:16 2018

@author: Andreas
"""

#' # Aufgabe 5

# Standard imports
import numpy as np
import numpy.linalg as la
from matplotlib import pyplot as plt

#' Falls Sie (a) nicht schaffen, benutzen Sie
#' 'schieben_sicher' statt 'kontrast' in (c)

def verschieben_sicher(bild, k):
    return np.mod(bild + k / 3, 1);

#' Falls Sie (b) nicht schaffen, benutzen Sie
#' 'bild_sicher' statt 'bild' in (c)

bild_sicher = np.ones((150, 1)) @ (np.arange(255) / 255).reshape(1, 255);


#%%
#' ## (a)


#%%
#' ## (b)


#%%
#' ## (c)

